import micromatch from 'micromatch';
export default class SveltePack {
    constructor() {
        this.defaults = {
            include: () => true,
        };
        this.configuration = {
            resolve: {
                mainFields: ['svelte'],
                extensions: ['.svelte'],
            },
            module: {
                rules: [],
            },
        };
        this.options = this.defaults;
    }
    include(include) {
        this.options.include = typeof include === 'string' ? micromatch.makeRe(include, { dot: true }) : include;
        return this;
    }
    generate(options, hints) {
        const rule = {
            test: /\.svelte$/,
            include: this.options.include,
            use: [],
        };
        const compilation = {
            loader: 'svelte-loader',
            options: {
                emitCss: hints.extract,
                hotReload: hints.watch,
            },
        };
        Array.isArray(rule.use) && rule.use.push(compilation);
        this.configuration.module.rules.push(rule);
        return this.configuration;
    }
}
//# sourceMappingURL=pack.js.map